package cn.edu.whu.boot.allocation.entities;

import java.io.Serializable;

public class Image implements Serializable{

    private static final long serialVersionUID = -3667769005593579199L;

    private Integer id;

    private Integer taskId;

    private String filename;

    private Double minLon;

    private Double minLat;

    private Double maxLon;

    private Double maxLat;

    public Image() {
    }

    public Image(String filename, Integer taskId, Double minLon, Double minLat, Double maxLon, Double maxLat) {
        this.filename = filename;
        this.taskId = taskId;
        this.minLon = minLon;
        this.minLat = minLat;
        this.maxLon = maxLon;
        this.maxLat = maxLat;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public Double getMinLon() {
        return minLon;
    }

    public void setMinLon(Double minLon) {
        this.minLon = minLon;
    }

    public Double getMinLat() {
        return minLat;
    }

    public void setMinLat(Double minLat) {
        this.minLat = minLat;
    }

    public Double getMaxLon() {
        return maxLon;
    }

    public void setMaxLon(Double maxLon) {
        this.maxLon = maxLon;
    }

    public Double getMaxLat() {
        return maxLat;
    }

    public void setMaxLat(Double maxLat) {
        this.maxLat = maxLat;
    }

    public Integer getTaskId() {
        return taskId;
    }

    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }
}